# wfadatad

WiFi Data Elements.

wfadatad is a process to show the device WiFi data model.
It can be running in either of these modes.
- wfadatad-agent: To show its own device data model.  It provide `wifi.dataelements` ubus method.
- wfadatad-collector: To collect the data model from the neighboring device in multi-AP network and shows the data model of all devices.  It provides `wifi.dataelements.collector` ubus method.

## wfadatad command line options

wfadatad provides the following command line options,
| options | Meaning                                    |
|---------|--------------------------------------------|
| h       | usage                                      |
| s       | ubus socket                                |
| t       | refresh interval for wfadatad-agent        |
|         | collection interval for wfadatad-collector |
| C       | enable collector mode                      |
| d       | debug mode; i.e. don't daemonize           |
| p       | pid file path                              |
| r       | MAP Profile; 1: profile-1, 2: profile-2    |
| m       | enable single AP mode                      |

## UBUS Api

wfadatad exposes the following functionality over UBUS.

When wfadatad is not running in collector mode.
````bash
root@iopsys:/tmp# ubus -v list wifi.dataelements
'wifi.dataelements' @c7a76e6e
	"dump":{}
	"refresh":{}
	"event":{}
````

When wfadatad is running in collector mode.
````bash
root@iopsys:/tmp# ubus -v list wifi.dataelements.collector
'wifi.dataelements.collector' @22691d02
	"dump":{}
	"refresh":{}
	"event":{}
````

wfadatad dump when there is no collector device in the network. It will dump the wifi dataelements for self node.
````bash
root@iopsys:~# ubus call wifi.dataelements dump
{
	"date": "Sat Aug 22 08:57:04 2020",
	"version": "",
	"description": "WFA Data Elements",
	"TimeStamp": "2020-07-22T08:57:04+01:00",
	"name": "wifi",
	"data": [
		{
			"wfa-dataelements:Network": {
				"ID": "",
				"NumberOfDevices": 1,
				"ControllerID": "00:00:00:00:00:00",
				"TimeStamp": "",
				"DeviceList": [
					{
						"ID": "00:00:00:00:00:00",
						"NumberOfRadios": 2,
						"CollectionInterval": 0,
						"RadioList": [
							{
								"ID": "00:22:07:9f:b7:fd",
								"Noise": -92,
								"NumberOfBSS": 1,
								"Enabled": true,
								"NumberOfCurrOpClass": 1,
								"NumberOfUnassocSta": 0,
								"Utilization": 0,
								"Transmit": 0,
								"ReceiveSelf": 0,
								"RecieveOther": 0,
								"BSSList": [
									{
										"BSSID": "00:22:07:9f:b7:fd",
										"SSID": "iopsysWrt-0022079FB7FC",
										"TimeStamp": "2020-07-22T08:56:38+01:00",
										"Enabled": true,
										"LastChange": 0,
										"NumberofSTA": 1,
										"EstServiceParametersBE": "AAAA\n",
										"EstServiceParametersBK": "AAAA\n",
										"EstServiceParameterVO": "AAAA\n",
										"EstServieParameterVI": "AAAA\n",
										"UnicastBytesReceived": 0,
										"UnicastBytesSent": 0,
										"MulticastBytesReceived": 18,
										"MulticastBytesSent": 145,
										"BroadcastBytesReceived": 0,
										"BroadcastBytesSent": 0,
										"STAList": [
											{
												"MACAddress": "62:e0:19:1b:2a:8b",
												"TimeStamp": "2020-07-22T08:56:38+01:00",
												"SignalStrength": -75,
												"HTCapabilities": "AA==\n",
												"VHTCapabilities": "AAAAAAAA\n",
												"EstMACDataRateDownlink": 0,
												"EstMACDataRateUplink": 0,
												"LastDataUplinkRate": 130,
												"UtilizationTransmit": 0,
												"UtilizationReceive": 0,
												"LastConnectTime": 52,
												"Hostname": "",
												"BytesSent": 21415,
												"BytesReceived": 27607,
												"PacketsSent": 183,
												"PacketsReceived": 249,
												"ErrorsSent": 0,
												"ErrorsReceived": 0,
												"NumberOfMeasureReports": 0,
												"Measurementreport": [

												]
											}
										]
									}
								],
								"Capabilites": {
									"NumberOfOpClass": 13,
									"OperatingClasses": [
										{
											"Class": 115,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 118,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 121,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 116,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 119,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 122,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 117,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 120,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 123,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 125,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 128,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 129,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 130,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										}
									],
									"HTCapabilities": "Dg==\n",
									"VHTCapabilities": "AA==\n"
								},
								"CurrentOperatingClasses": [
									{
										"TimeStamp": "2020-07-22T08:56:38+01:00",
										"Channel": 100,
										"Class": 128,
										"TxPower": 30
									}
								],
								"ScanResultList": [
									{
										"TimeStamp": "2020-07-22T08:56:38+01:00",
										"NumberOfOpClassScans": 13,
										"OpClassScanList": [
											{
												"OperatingClass": 115,
												"NumberOfChannelScans": 4,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 36,
														"NumberofNeighbors": 1,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [
															{
																"StationCount": 0,
																"ChannelUtilization": 0,
																"BSSID": "00:22:07:a2:f0:59",
																"SSID": "iopsysWrt-002207A2F052",
																"SignalStrengh": -22,
																"ChannelBandwidth": 2
															}
														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 118,
												"NumberOfChannelScans": 4,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 52,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 56,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 60,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 64,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 121,
												"NumberOfChannelScans": 11,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 100,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 104,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 108,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 112,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 116,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 120,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 124,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 128,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 132,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 136,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 140,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 116,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 119,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 122,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 117,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 120,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 123,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 125,
												"NumberOfChannelScans": 6,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 149,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 153,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 157,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 161,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 165,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 169,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 128,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 129,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 130,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											}
										]
									}
								],
								"UnassociatedStaList": [

								],
								"BackhaulSta": {
									"MACAddress": "00:00:00:00:00:00"
								}
							},
							{
								"ID": "00:22:07:9f:b7:fe",
								"Noise": -85,
								"NumberOfBSS": 1,
								"Enabled": true,
								"NumberOfCurrOpClass": 1,
								"NumberOfUnassocSta": 0,
								"Utilization": 0,
								"Transmit": 0,
								"ReceiveSelf": 0,
								"RecieveOther": 0,
								"BSSList": [
									{
										"BSSID": "00:22:07:9f:b7:fe",
										"SSID": "iopsysWrt-0022079FB7FC-NEW",
										"TimeStamp": "2020-07-22T08:56:38+01:00",
										"Enabled": true,
										"LastChange": 0,
										"NumberofSTA": 1,
										"EstServiceParametersBE": "AAAA\n",
										"EstServiceParametersBK": "AAAA\n",
										"EstServiceParameterVO": "AAAA\n",
										"EstServieParameterVI": "AAAA\n",
										"UnicastBytesReceived": 0,
										"UnicastBytesSent": 0,
										"MulticastBytesReceived": 25,
										"MulticastBytesSent": 67,
										"BroadcastBytesReceived": 0,
										"BroadcastBytesSent": 0,
										"STAList": [
											{
												"MACAddress": "ca:d5:8e:00:27:18",
												"TimeStamp": "2020-07-22T08:56:38+01:00",
												"SignalStrength": -25,
												"HTCapabilities": "AA==\n",
												"VHTCapabilities": "AAAAAAAA\n",
												"EstMACDataRateDownlink": 0,
												"EstMACDataRateUplink": 0,
												"LastDataUplinkRate": 65,
												"UtilizationTransmit": 0,
													"UtilizationReceive": 0,
												"LastConnectTime": 145,
												"Hostname": "",
												"BytesSent": 79941,
												"BytesReceived": 277076,
												"PacketsSent": 738,
												"PacketsReceived": 1999,
												"ErrorsSent": 58,
												"ErrorsReceived": 0,
												"NumberOfMeasureReports": 0,
												"Measurementreport": [

												]
											}
										]
									}
								],
								"Capabilites": {
									"NumberOfOpClass": 3,
									"OperatingClasses": [
										{
											"Class": 81,
											"MaxTxPower": 20,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 83,
											"MaxTxPower": 20,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 84,
											"MaxTxPower": 20,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										}
									],
									"HTCapabilities": "CA==\n",
									"VHTCapabilities": "AA==\n"
								},
								"CurrentOperatingClasses": [
									{
										"TimeStamp": "2020-07-22T08:56:38+01:00",
										"Channel": 1,
										"Class": 4,
										"TxPower": 30
									}
								],
								"ScanResultList": [
									{
										"TimeStamp": "2020-07-22T08:56:38+01:00",
										"NumberOfOpClassScans": 3,
										"OpClassScanList": [
											{
												"OperatingClass": 81,
												"NumberOfChannelScans": 13,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 1,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 2,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 3,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 4,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 5,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 6,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 7,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 8,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 9,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 10,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-22T08:56:38+01:00",
														"Channel": 11,
														"NumberofNeighbors": 2,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [
															{
																"StationCount": 0,
																"ChannelUtilization": 0,
																"BSSID": "9c:30:5b:63:e0:c7",
																"SSID": "JioFi3_63E0C7",
																"SignalStrengh": -69,
																"ChannelBandwidth": 1
															},
															{
																"StationCount": 0,
																"ChannelUtilization": 6,
																"BSSID": "00:22:07:a2:f0:58",
																"SSID": "iopsysWrt-002207A2F052",
																"SignalStrengh": -27,
																"ChannelBandwidth": 0
															}
														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 83,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 84,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											}
										]
									}
								],
								"UnassociatedStaList": [

								],
								"BackhaulSta": {
									"MACAddress": "00:00:00:00:00:00"
								}
							}
						]
					}
				]
			}
		}
	]
}
````

Associated/Disassociated STA events for the device can be verified in 'event' method.
````
root@iopsys:~# ubus call wifi.dataelements event
{
	"notification": [
		{
			"eventTime": "2020-10-24T01:09:34+01:00",
			"wfa-dataelements:AssociationEvent": {
				"AssocData": {
					"BSSID": "00:22:07:6b:17:52",
					"MACAddress": "54:b8:02:80:25:e8",
					"StatusCode": 0,
					"HTCapabilities": "AA==\n",
					"VHTCapabilities": "AAAAAAAA\n"
				}
			}
		},
		{
			"eventTime": "2020-10-24T01:10:03+01:00",
			"wfa-dataelements:AssociationEvent": {
				"AssocData": {
					"BSSID": "00:22:07:6b:17:51",
					"MACAddress": "d2:a2:d1:17:27:f7",
					"StatusCode": 0,
					"HTCapabilities": "AA==\n",
					"VHTCapabilities": "AAAAAAAA\n"
				}
			}
		},
		{
			"eventTime": "2020-10-24T01:10:20+01:00",
			"wfa-dataelements:DisassociationEvent": {
				"DisassocData": {
					"BSSID": "00:22:07:6b:17:51",
					"MACAddress": "d2:a2:d1:17:27:f7",
					"ReasonCode": 0,
					"BytesSent": 181625,
					"BytesReceived": 11497,
					"PacketsSent": 1951,
					"PacketsReceived": 105,
					"ErrorsSent": 0,
					"ErrorsReceived": 0,
					"RetransCount": 0
				}
			}
		}
	]
}
````

When there are more than 1 device in the network and one device is running in collector mode. It will dump the wifi dataelements for all the nodes in the network.

````bash
root@iopsys:~# ubus call wifi.dataelements.collector dump
{
	"date": "Wed Aug 26 04:54:52 2020",
	"version": "",
	"description": "WFA Data Elements",
	"TimeStamp": "2020-07-26T04:54:52+01:00",
	"name": "wifi",
	"data": [
		{
			"wfa-dataelements:Network": {
				"ID": "",
				"NumberOfDevices": 2,
				"ControllerID": "00:00:00:00:00:00",
				"TimeStamp": "",
				"DeviceList": [
					{
						"ID": "00:00:00:00:00:00",
						"NumberOfRadios": 2,
						"CollectionInterval": 0,
						"RadioList": [
							{
								"ID": "00:22:07:a2:f0:58",
								"Noise": -90,
								"NumberOfBSS": 1,
								"Enabled": true,
								"NumberOfCurrOpClass": 1,
								"NumberOfUnassocSta": 0,
								"Utilization": 0,
								"Transmit": 0,
								"ReceiveSelf": 0,
								"RecieveOther": 0,
								"BSSList": [
									{
										"BSSID": "00:22:07:a2:f0:58",
										"SSID": "iopsysWrt-002207A2F052",
										"TimeStamp": "",
										"Enabled": false,
										"LastChange": 0,
										"NumberofSTA": 0,
										"EstServiceParametersBE": "AAAA\n",
										"EstServiceParametersBK": "AAAA\n",
										"EstServiceParameterVO": "AAAA\n",
										"EstServieParameterVI": "AAAA\n",
										"UnicastBytesReceived": 0,
										"UnicastBytesSent": 0,
										"MulticastBytesReceived": 0,
										"MulticastBytesSent": 0,
										"BroadcastBytesReceived": 0,
										"BroadcastBytesSent": 0,
										"STAList": [

										]
									}
								],
								"Capabilites": {
									"NumberOfOpClass": 3,
									"OperatingClasses": [
										{
											"Class": 81,
											"MaxTxPower": 20,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 83,
											"MaxTxPower": 20,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 84,
											"MaxTxPower": 20,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										}
									],
									"HTCapabilities": "Dg==\n",
									"VHTCapabilities": "AA==\n"
								},
								"CurrentOperatingClasses": [
									{
										"TimeStamp": "2020-07-26T04:53:12+01:00",
										"Channel": 11,
										"Class": 4,
										"TxPower": 30
									}
								],
								"ScanResultList": [
									{
										"TimeStamp": "2020-07-26T04:53:12+01:00",
										"NumberOfOpClassScans": 3,
										"OpClassScanList": [
											{
												"OperatingClass": 81,
												"NumberOfChannelScans": 13,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 1,
														"NumberofNeighbors": 1,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [
															{
																"StationCount": 1,
																"ChannelUtilization": 14,
																"BSSID": "00:22:07:9f:b7:fe",
																"SSID": "iopsysWrt-0022079FB7FC",
																"SignalStrengh": -32,
																"ChannelBandwidth": 0
															}
														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 2,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 3,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 4,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 5,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 6,
														"NumberofNeighbors": 1,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [
															{
																"StationCount": 0,
																"ChannelUtilization": 0,
																"BSSID": "50:0f:f5:89:20:41",
																"SSID": "404 not found",
																"SignalStrengh": -27,
																"ChannelBandwidth": 1
															}
														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 83,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 84,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											}
										]
									}
								],
								"UnassociatedStaList": [

								],
								"BackhaulSta": {
									"MACAddress": "00:00:00:00:00:00"
								}
							},
							{
								"ID": "00:22:07:a2:f0:59",
								"Noise": -90,
								"NumberOfBSS": 1,
								"Enabled": true,
								"NumberOfCurrOpClass": 1,
								"NumberOfUnassocSta": 0,
								"Utilization": 0,
								"Transmit": 0,
								"ReceiveSelf": 0,
								"RecieveOther": 0,
								"BSSList": [
									{
										"BSSID": "00:22:07:a2:f0:59",
										"SSID": "iopsysWrt-002207A2F052-new",
										"TimeStamp": "",
										"Enabled": false,
										"LastChange": 0,
										"NumberofSTA": 0,
										"EstServiceParametersBE": "AAAA\n",
										"EstServiceParametersBK": "AAAA\n",
										"EstServiceParameterVO": "AAAA\n",
										"EstServieParameterVI": "AAAA\n",
										"UnicastBytesReceived": 0,
										"UnicastBytesSent": 0,
										"MulticastBytesReceived": 0,
										"MulticastBytesSent": 0,
										"BroadcastBytesReceived": 0,
										"BroadcastBytesSent": 0,
										"STAList": [

										]
									}
								],
								"Capabilites": {
									"NumberOfOpClass": 13,
									"OperatingClasses": [
										{
											"Class": 115,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 118,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 121,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 116,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 119,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 122,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 117,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 120,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 123,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 125,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 128,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 129,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 130,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										}
									],
									"HTCapabilities": "Dg==\n",
									"VHTCapabilities": "AA==\n"
								},
								"CurrentOperatingClasses": [
									{
										"TimeStamp": "2020-07-26T04:53:12+01:00",
										"Channel": 36,
										"Class": 128,
										"TxPower": 30
									}
								],
								"ScanResultList": [
									{
										"TimeStamp": "2020-07-26T04:53:12+01:00",
										"NumberOfOpClassScans": 13,
										"OpClassScanList": [
											{
												"OperatingClass": 115,
												"NumberOfChannelScans": 4,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 36,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 40,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 44,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 48,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 118,
												"NumberOfChannelScans": 4,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 52,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 56,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 60,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 64,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 121,
												"NumberOfChannelScans": 11,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 100,
														"NumberofNeighbors": 1,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [
															{
																"StationCount": 0,
																"ChannelUtilization": 1,
																"BSSID": "00:22:07:9f:b7:fd",
																"SSID": "iopsysWrt-0022079FB7FC",
																"SignalStrengh": -65,
																"ChannelBandwidth": 2
															}
														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 116,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 119,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 122,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 117,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 120,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 123,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 125,
												"NumberOfChannelScans": 6,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 149,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 153,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 157,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 161,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 165,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:53:12+01:00",
														"Channel": 169,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 128,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 129,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											},
											{
												"OperatingClass": 130,
												"NumberOfChannelScans": 0,
												"ChannelScanList": [

												]
											}
										]
									}
								],
								"UnassociatedStaList": [

								],
								"BackhaulSta": {
									"MACAddress": "00:00:00:00:00:00"
								}
							}
						]
					},
					{
						"ID": "00:22:07:9f:b7:fc",
						"NumberOfRadios": 2,
						"CollectionInterval": 0,
						"RadioList": [
							{
								"ID": "00:22:07:9f:b7:fd",
								"Noise": 164,
								"NumberOfBSS": 1,
								"Enabled": true,
								"NumberOfCurrOpClass": 1,
								"NumberOfUnassocSta": 0,
								"Utilization": 0,
								"Transmit": 0,
								"ReceiveSelf": 0,
								"RecieveOther": 0,
								"BSSList": [
									{
										"BSSID": "00:22:07:9f:b7:fd",
										"SSID": "iopsysWrt-0022079FB7FC",
										"TimeStamp": "2020-07-26T04:54:21+01:00",
										"Enabled": false,
										"LastChange": 0,
										"NumberofSTA": 0,
										"EstServiceParametersBE": "AAAA\n",
										"EstServiceParametersBK": "AAAA\n",
										"EstServiceParameterVO": "AAAA\n",
										"EstServieParameterVI": "AAAA\n",
										"UnicastBytesReceived": 0,
										"UnicastBytesSent": 0,
										"MulticastBytesReceived": 0,
										"MulticastBytesSent": 17,
										"BroadcastBytesReceived": 0,
										"BroadcastBytesSent": 0,
										"STAList": [

										]
									}
								],
								"Capabilites": {
									"NumberOfOpClass": 13,
									"OperatingClasses": [
										{
											"Class": 115,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 118,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 121,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 116,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 119,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 122,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 117,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 120,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 123,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 125,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 128,
											"MaxTxPower": 30,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 129,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 130,
											"MaxTxPower": 23,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										}
									],
									"HTCapabilities": "AA==\n",
									"VHTCapabilities": "AA==\n"
								},
								"CurrentOperatingClasses": [
									{
										"TimeStamp": "2020-07-26T04:54:21+01:00",
										"Channel": 100,
										"Class": 128,
										"TxPower": 30
									}
								],
								"ScanResultList": [
									{
										"TimeStamp": "2020-07-26T04:54:21+01:00",
										"NumberOfOpClassScans": 4,
										"OpClassScanList": [
											{
												"OperatingClass": 115,
												"NumberOfChannelScans": 2,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 36,
														"NumberofNeighbors": 1,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [
															{
																"StationCount": 0,
																"ChannelUtilization": 0,
																"BSSID": "00:22:07:a2:f0:59",
																"SSID": "iopsysWrt-002207A2F052-new",
																"SignalStrengh": 234,
																"ChannelBandwidth": 0
															}
														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 118,
												"NumberOfChannelScans": 4,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 52,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 56,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 60,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 64,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 121,
												"NumberOfChannelScans": 11,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 100,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 104,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 108,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 112,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 116,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 120,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 124,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 128,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 132,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 136,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 140,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													}
												]
											},
											{
												"OperatingClass": 125,
												"NumberOfChannelScans": 6,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 149,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 153,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 157,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 161,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 165,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 169,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													}
												]
											}
										]
									}
								],
								"UnassociatedStaList": [

								],
								"BackhaulSta": {
									"MACAddress": "00:00:00:00:00:00"
								}
							},
							{
								"ID": "00:22:07:9f:b7:fe",
								"Noise": 171,
								"NumberOfBSS": 1,
								"Enabled": true,
								"NumberOfCurrOpClass": 1,
								"NumberOfUnassocSta": 0,
								"Utilization": 0,
								"Transmit": 0,
								"ReceiveSelf": 0,
								"RecieveOther": 0,
								"BSSList": [
									{
										"BSSID": "00:22:07:9f:b7:fe",
										"SSID": "iopsysWrt-0022079FB7FC",
										"TimeStamp": "2020-07-26T04:54:21+01:00",
										"Enabled": false,
										"LastChange": 0,
										"NumberofSTA": 1,
										"EstServiceParametersBE": "AAAA\n",
										"EstServiceParametersBK": "AAAA\n",
										"EstServiceParameterVO": "AAAA\n",
										"EstServieParameterVI": "AAAA\n",
										"UnicastBytesReceived": 0,
										"UnicastBytesSent": 0,
										"MulticastBytesReceived": 25,
										"MulticastBytesSent": 29,
										"BroadcastBytesReceived": 0,
										"BroadcastBytesSent": 0,
										"STAList": [
											{
												"MACAddress": "0a:68:d4:d2:2e:77",
												"TimeStamp": "2020-07-26T04:54:21+01:00",
												"SignalStrength": -49,
												"HTCapabilities": "AA==\n",
												"VHTCapabilities": "AAAAAAAA\n",
												"EstMACDataRateDownlink": 0,
												"EstMACDataRateUplink": 0,
												"LastDataUplinkRate": 65,
												"UtilizationTransmit": 0,
												"UtilizationReceive": 0,
												"LastConnectTime": 24,
												"Hostname": "",
												"BytesSent": 26232,
												"BytesReceived": 56718,
												"PacketsSent": 245,
												"PacketsReceived": 486,
												"ErrorsSent": 1,
												"ErrorsReceived": 0,
												"NumberOfMeasureReports": 0,
												"Measurementreport": [

												]
											}
										]
									}
								],
								"Capabilites": {
									"NumberOfOpClass": 3,
									"OperatingClasses": [
										{
											"Class": 81,
											"MaxTxPower": 20,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 83,
											"MaxTxPower": 20,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										},
										{
											"Class": 84,
											"MaxTxPower": 20,
											"NumberOfNonOperChan": 0,
											"NonOperable": [

											]
										}
									],
									"HTCapabilities": "AA==\n",
									"VHTCapabilities": "AA==\n"
								},
								"CurrentOperatingClasses": [
									{
										"TimeStamp": "2020-07-26T04:54:21+01:00",
										"Channel": 1,
										"Class": 4,
										"TxPower": 30
									}
								],
								"ScanResultList": [
									{
										"TimeStamp": "2020-07-26T04:54:21+01:00",
										"NumberOfOpClassScans": 1,
										"OpClassScanList": [
											{
												"OperatingClass": 81,
												"NumberOfChannelScans": 12,
												"ChannelScanList": [
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 1,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 2,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 3,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 4,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 5,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 6,
														"NumberofNeighbors": 1,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [
															{
																"StationCount": 0,
																"ChannelUtilization": 0,
																"BSSID": "50:0f:f5:89:20:41",
																"SSID": "404 not found",
																"SignalStrengh": 228,
																"ChannelBandwidth": 0
															}
														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 7,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 8,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 9,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 10,
														"NumberofNeighbors": 0,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [

														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 11,
														"NumberofNeighbors": 1,
														"Noise": 100,
														"Utilization": 50,
														"NeighborList": [
															{
																"StationCount": 0,
																"ChannelUtilization": 0,
																"BSSID": "00:22:07:a2:f0:58",
																"SSID": "iopsysWrt-002207A2F052",
																"SignalStrengh": 227,
																"ChannelBandwidth": 0
															}
														]
													},
													{
														"TimeStamp": "2020-07-26T04:54:21+01:00",
														"Channel": 0,
														"NumberofNeighbors": 0,
														"Noise": 0,
														"Utilization": 0,
														"NeighborList": [

														]
													}
												]
											}
										]
									}
								],
								"UnassociatedStaList": [

								],
								"BackhaulSta": {
									"MACAddress": "00:00:00:00:00:00"
								}
							}
						]
					}
				]
			}
		}
	]
}
````

Associated/Disassociated STA events data for the netowrk can be verified using collector 'event' method.
````
root@iopsys:~# ubus call wifi.dataelements.collector event
{
	"notification": [
		{
			"eventTime": "2020-10-24T01:09:34+01:00",
			"wfa-dataelements:AssociationEvent": {
				"AssocData": {
					"BSSID": "00:22:07:6b:17:52",
					"MACAddress": "54:b8:02:80:25:e8",
					"StatusCode": 0,
					"HTCapabilities": "AA==\n",
					"VHTCapabilities": "AAAAAAAA\n"
				}
			}
		},
		{
			"eventTime": "2020-10-24T01:10:03+01:00",
			"wfa-dataelements:AssociationEvent": {
				"AssocData": {
					"BSSID": "00:22:07:6b:17:51",
					"MACAddress": "d2:a2:d1:17:27:f7",
					"StatusCode": 0,
					"HTCapabilities": "AA==\n",
					"VHTCapabilities": "AAAAAAAA\n"
				}
			}
		},
		{
			"eventTime": "2020-10-24T01:10:20+01:00",
			"wfa-dataelements:DisassociationEvent": {
				"DisassocData": {
					"BSSID": "00:22:07:6b:17:51",
					"MACAddress": "d2:a2:d1:17:27:f7",
					"ReasonCode": 0,
					"BytesSent": 181625,
					"BytesReceived": 11497,
					"PacketsSent": 1951,
					"PacketsReceived": 105,
					"ErrorsSent": 0,
					"ErrorsReceived": 0,
					"RetransCount": 0
				}
			}
		}
	]
}
````
