# Function Specification

The scope of wfadatad to show the local and neighbor devices wifi dataelements over ubus.

```
root@iopsys:~# ubus -v list wifi.dataelements
'wifi.dataelements' @35c11317
	"dump":{}
	"refresh":{}
root@iopsys:~# 
root@iopsys:~# 
root@iopsys:~# ubus -v list wifi.dataelements.collector
'wifi.dataelements.collector' @ecab1485
	"dump":{}
	"refresh":{}
```

# Contents

- [wifi.dataelements](#wifi.dataelements)
- [wifi.dataelements.collector](#wifi.dataelements.collector)

## APIs

Wfadatad publishes two different types objects, `wifi.dataelements`, `wifi.dataelements.collector` based on the wfadatad mode (Agent mode, collector mode).

### wifi.dataelements

An object that publishes local device wifi dataelements.

```
root@iopsys:~# ubus -v list wifi.dataelements
'wifi.dataelements' @35c11317
	"dump":{}
	"refresh":{}
```

| Method              | Function ID |
| ------------------- | ----------- |
| [dump](#dump)       | 1           |
| [refresh](#refresh) | 2           |

#### Methods

Method description of the `wifi.dataelements` object.

##### dump

Exposes local device wifi dataelements.

- [dump documentation](./api/wfadata.md#dump)

##### refresh

Start collecting wifi dataelements.

- [refresh documentation](./api/wfadata.md#refresh)

### wifi.dataelements.collector

An object that publishes local and neighbor device wifi dataelements.

```
root@iopsys:~# ubus -v list wifi.dataelements.collector
'wifi.dataelements.collector' @ecab1485
	"dump":{}
	"refresh":{}
```

| Method                        | Function ID |
| ----------------------------- | ----------- |
| [dump](#dump_collector)       | 1           |
| [refresh](#refresh_collector) | 2           |

#### Methods

Method description of the `wifi.dataelements.collector` object.

##### dump_collector

Exposes local and neighbor devices wifi dataelements.

- [dump documentation](./api/wfadata.md#dump)

##### refresh_collector

Start collecting wifi data from local and neighbor devices.

- [refresh documentation](./api/wfadata.md#refresh)
