#!/bin/bash

echo "install dependencies"

home=$(pwd)

function exec_cmd()
{
	echo "executing $@"
	$@ >/dev/null 2>&1
	local ret=$?

	if [ "${ret}" -ne 0 ]; then
		echo "Failed to execute $@ ret (${ret})"
		exit 1
	fi
}

exec_cmd apt update
exec_cmd apt install -y iproute2
exec_cmd apt install -y libavahi-core-dev

# install easy-soc-libs (libwifi-6)
cd /opt/dev
rm -fr easy-soc-libs
mkdir -p /usr/include/easy
exec_cmd git clone -b devel https://dev.iopsys.eu/iopsys/easy-soc-libs.git
cd easy-soc-libs/libeasy
exec_cmd make CFLAGS+="-I/usr/include/libnl3"
cp libeasy*.so* /usr/lib
cp easy.h event.h utils.h debug.h /usr/include/easy/
cd ../libwifi
exec_cmd make PLATFORM="test"
cp wifi.h /usr/include/ &&
cp libwifi-6*.so* /usr/lib

# install wifimngr
cd /opt/dev
rm -fr wifimngr
exec_cmd git clone -b devel https://dev.iopsys.eu/iopsys/wifimngr.git
cd wifimngr
exec_cmd ./gitlab-ci/install-dependencies.sh
exec_cmd ./gitlab-ci/setup.sh
exec_cmd make
exec_cmd cp wifimngr /usr/sbin/

# install ieee1905
cd /opt/dev
export CFLAGS="${CFLAGS} -g -Wall -g -O0"
rm -fr ieee1905
exec_cmd git clone --depth 1 -b devel https://dev.iopsys.eu/iopsys/ieee1905.git
cd ieee1905
exec_cmd ./gitlab-ci/install-dependencies.sh
exec_cmd ./gitlab-ci/setup.sh
exec_cmd make "CONFIG_IEEE1905_ALME_OVER_UBUS=y"
exec_cmd make install
mkdir -p /usr/include/ieee1905
exec_cmd cp -a include/plugin.h /usr/include/ieee1905
exec_cmd cp -a libieee1905/include/1905_cmdus.h /usr/include/ieee1905
exec_cmd cp -a libieee1905/include/1905_tlvs.h /usr/include/ieee1905
exec_cmd cp -a ieee1905d /usr/sbin/

# install map-1905
cd /opt/dev
rm -fr map-1905
exec_cmd git clone -b devel https://dev.iopsys.eu/iopsys/map-1905.git
cd map-1905
exec_cmd make
mkdir -p /usr/lib/ieee1905
mkdir -p /usr/include/map1905
exec_cmd cp libmaputils.so /usr/lib/
exec_cmd cp libwifimap2.so /usr/lib/ieee1905/
exec_cmd cp include/map2.h include/maputils.h /usr/include/map1905/

# install topology
cd /opt/dev
rm -fr map-topology
exec_cmd git clone -b devel https://dev.iopsys.eu/iopsys/map-topology.git
cd map-topology/src
exec_cmd make
exec_cmd cp -a topologyd /usr/sbin/

ldconfig
